UPDATE: editors/{,py-}qscintilla 2.11.1

classic Classic list List threaded Threaded
10 messages Options
Reply | Threaded
Open this post in threaded view
|

UPDATE: editors/{,py-}qscintilla 2.11.1

Caspar Schutijser
Hi ports@,

Below is a diff that updates editors/{,py-}qscintilla to 2.11.1. I have
identified a number of ports that depend on {,py-}qscintilla. I
build-tested all of them and I run-tested some of them.

I build-tested the following ports that depend on {,py-}qscintilla:
cad/openscad
databases/sqliteman
geo/qgis
x11/kde4/p5-qt
x11/kde4/qyoto
x11/kde4/ruby-qt
x11/kde4/smokeqt

In the case of the ports below, I did not only build-test them, I also
performed some run-time testing:
databases/sqlitebrowser
devel/tortoisehg
math/octave (very light testing)

All testing was done on amd64. I'd appreciate feedback on the diff.

Thanks,
Caspar Schutijser


Index: editors/py-qscintilla/Makefile
===================================================================
RCS file: /cvs/ports/editors/py-qscintilla/Makefile,v
retrieving revision 1.18
diff -u -p -r1.18 Makefile
--- editors/py-qscintilla/Makefile 28 Apr 2019 20:51:40 -0000 1.18
+++ editors/py-qscintilla/Makefile 31 May 2019 17:46:58 -0000
@@ -2,18 +2,17 @@
 
 COMMENT = Python binding for the Scintilla source code editor
 
-VERSION = 2.10.1
+VERSION = 2.11.1
 DISTNAME = QScintilla_gpl-${VERSION}
 PKGNAME = py-qscintilla-${VERSION}
 CATEGORIES = editors x11 devel
-REVISION = 3
 
 HOMEPAGE = http://www.riverbankcomputing.com/software/qscintilla/
 
 # GPLv2/GPLv3
 PERMIT_PACKAGE_CDROM = Yes
 
-MASTER_SITES =  ${MASTER_SITE_SOURCEFORGE:=pyqt/}
+MASTER_SITES =  https://www.riverbankcomputing.com/static/Downloads/QScintilla/2.11.1/
 
 MODULES = lang/python
 FLAVORS = qt5
Index: editors/py-qscintilla/distinfo
===================================================================
RCS file: /cvs/ports/editors/py-qscintilla/distinfo,v
retrieving revision 1.5
diff -u -p -r1.5 distinfo
--- editors/py-qscintilla/distinfo 30 Oct 2017 13:51:17 -0000 1.5
+++ editors/py-qscintilla/distinfo 31 May 2019 17:46:58 -0000
@@ -1,2 +1,2 @@
-SHA256 (QScintilla_gpl-2.10.1.tar.gz) = l/mKnZH5CNts43/sxtJB2VWziKHEhxc7YHJsupo9+mQ=
-SIZE (QScintilla_gpl-2.10.1.tar.gz) = 2663446
+SHA256 (QScintilla_gpl-2.11.1.tar.gz) = 2uVNGeQ9ulo/mKwIT8C8+m+3E/qFHxeDoBQEOX/XIvU=
+SIZE (QScintilla_gpl-2.11.1.tar.gz) = 2932060
Index: editors/py-qscintilla/pkg/PLIST
===================================================================
RCS file: /cvs/ports/editors/py-qscintilla/pkg/PLIST,v
retrieving revision 1.5
diff -u -p -r1.5 PLIST
--- editors/py-qscintilla/pkg/PLIST 20 May 2018 08:30:21 -0000 1.5
+++ editors/py-qscintilla/pkg/PLIST 31 May 2019 17:46:58 -0000
@@ -1,6 +1,10 @@
 @comment $OpenBSD: PLIST,v 1.5 2018/05/20 08:30:21 espie Exp $
 lib/python${MODPY_VERSION}/site-packages/${PYQTVER}/Qsci.pyi
 lib/python${MODPY_VERSION}/site-packages/${PYQTVER}/Qsci.so
+lib/python${MODPY_VERSION}/site-packages/QScintilla-2.11.1.dist-info/
+lib/python${MODPY_VERSION}/site-packages/QScintilla-2.11.1.dist-info/INSTALLER
+lib/python${MODPY_VERSION}/site-packages/QScintilla-2.11.1.dist-info/METADATA
+lib/python${MODPY_VERSION}/site-packages/QScintilla-2.11.1.dist-info/RECORD
 lib/${QTVER}/qsci/api/python/QScintilla2.api
 ${SIPDIR}/Qsci/
 ${SIPDIR}/Qsci/qsciabstractapis.sip
@@ -20,6 +24,7 @@ ${SIPDIR}/Qsci/qscilexercss.sip
 ${SIPDIR}/Qsci/qscilexercustom.sip
 ${SIPDIR}/Qsci/qscilexerd.sip
 ${SIPDIR}/Qsci/qscilexerdiff.sip
+${SIPDIR}/Qsci/qscilexeredifact.sip
 ${SIPDIR}/Qsci/qscilexerfortran.sip
 ${SIPDIR}/Qsci/qscilexerfortran77.sip
 ${SIPDIR}/Qsci/qscilexerhtml.sip
Index: editors/qscintilla/Makefile
===================================================================
RCS file: /cvs/ports/editors/qscintilla/Makefile,v
retrieving revision 1.22
diff -u -p -r1.22 Makefile
--- editors/qscintilla/Makefile 22 Dec 2017 06:27:16 -0000 1.22
+++ editors/qscintilla/Makefile 31 May 2019 17:46:58 -0000
@@ -3,10 +3,9 @@
 COMMENT = Qt port of the Scintilla source code editor
 
 # XXX update py-qscintilla alongside this port (same distfile).
-VERSION = 2.10.1
+VERSION = 2.11.1
 DISTNAME = QScintilla_gpl-${VERSION}
 PKGNAME = qscintilla-${VERSION}
-REVISION = 0
 CATEGORIES = editors x11
 
 
@@ -15,7 +14,7 @@ HOMEPAGE = http://www.riverbankcomputing
 # GPLv2/GPLv3
 PERMIT_PACKAGE_CDROM = Yes
 
-MASTER_SITES =  ${MASTER_SITE_SOURCEFORGE:=pyqt/}
+MASTER_SITES =  https://www.riverbankcomputing.com/static/Downloads/QScintilla/2.11.1/
 
 WANTLIB = ${COMPILER_LIBCXX} m
 MODULES = devel/qmake
@@ -30,13 +29,13 @@ CXXFLAGS += -std=c++11
 FULLPKGNAME = qscintilla-qt5-${VERSION}
 QTVER = qt5
 MODULES += x11/qt5
-SHARED_LIBS = qscintilla2_qt5 0.0 #13.0
+SHARED_LIBS = qscintilla2_qt5 1.0 # 15.0
 
 WANTLIB += GL Qt5Core Qt5Gui Qt5PrintSupport Qt5Widgets
 .else
 QTVER = qt4
 MODULES += x11/qt4
-SHARED_LIBS = qscintilla2_qt4 0.0 #13.0
+SHARED_LIBS = qscintilla2_qt4 1.0 # 15.0
 
 WANTLIB += ICE QtGui SM X11 Xext Xi Xinerama Xrender fontconfig
 WANTLIB += freetype pthread
Index: editors/qscintilla/distinfo
===================================================================
RCS file: /cvs/ports/editors/qscintilla/distinfo,v
retrieving revision 1.7
diff -u -p -r1.7 distinfo
--- editors/qscintilla/distinfo 30 Oct 2017 13:49:31 -0000 1.7
+++ editors/qscintilla/distinfo 31 May 2019 17:46:58 -0000
@@ -1,2 +1,2 @@
-SHA256 (QScintilla_gpl-2.10.1.tar.gz) = l/mKnZH5CNts43/sxtJB2VWziKHEhxc7YHJsupo9+mQ=
-SIZE (QScintilla_gpl-2.10.1.tar.gz) = 2663446
+SHA256 (QScintilla_gpl-2.11.1.tar.gz) = 2uVNGeQ9ulo/mKwIT8C8+m+3E/qFHxeDoBQEOX/XIvU=
+SIZE (QScintilla_gpl-2.11.1.tar.gz) = 2932060
Index: editors/qscintilla/patches/patch-Qt4Qt5_Qsci_qsciscintillabase_h
===================================================================
RCS file: editors/qscintilla/patches/patch-Qt4Qt5_Qsci_qsciscintillabase_h
diff -N editors/qscintilla/patches/patch-Qt4Qt5_Qsci_qsciscintillabase_h
--- /dev/null 1 Jan 1970 00:00:00 -0000
+++ editors/qscintilla/patches/patch-Qt4Qt5_Qsci_qsciscintillabase_h 31 May 2019 17:46:58 -0000
@@ -0,0 +1,21 @@
+$OpenBSD$
+
+Index: Qt4Qt5/Qsci/qsciscintillabase.h
+--- Qt4Qt5/Qsci/qsciscintillabase.h.orig
++++ Qt4Qt5/Qsci/qsciscintillabase.h
+@@ -26,6 +26,7 @@
+ #include <QAbstractScrollArea>
+ #include <QByteArray>
+ #include <QPoint>
++#include <QUrl>
+ #include <QTimer>
+
+ #include <Qsci/qsciglobal.h>
+@@ -37,7 +38,6 @@ class QImage;
+ class QMimeData;
+ class QPainter;
+ class QPixmap;
+-class QUrl;
+ QT_END_NAMESPACE
+
+ class QsciScintillaQt;
Index: editors/qscintilla/patches/patch-Qt4Qt5_qscintilla_pro
===================================================================
RCS file: /cvs/ports/editors/qscintilla/patches/patch-Qt4Qt5_qscintilla_pro,v
retrieving revision 1.4
diff -u -p -r1.4 patch-Qt4Qt5_qscintilla_pro
--- editors/qscintilla/patches/patch-Qt4Qt5_qscintilla_pro 30 Oct 2017 13:49:31 -0000 1.4
+++ editors/qscintilla/patches/patch-Qt4Qt5_qscintilla_pro 31 May 2019 17:46:58 -0000
@@ -2,7 +2,7 @@ $OpenBSD: patch-Qt4Qt5_qscintilla_pro,v
 Index: Qt4Qt5/qscintilla.pro
 --- Qt4Qt5/qscintilla.pro.orig
 +++ Qt4Qt5/qscintilla.pro
-@@ -66,7 +66,7 @@ unix:!macx {
+@@ -68,7 +68,7 @@ unix:!macx {
  # Scintilla namespace rather than pollute the global namespace.
  #DEFINES += SCI_NAMESPACE
 
Index: editors/qscintilla/pkg/PLIST
===================================================================
RCS file: /cvs/ports/editors/qscintilla/pkg/PLIST,v
retrieving revision 1.6
diff -u -p -r1.6 PLIST
--- editors/qscintilla/pkg/PLIST 30 Oct 2017 13:49:31 -0000 1.6
+++ editors/qscintilla/pkg/PLIST 31 May 2019 17:46:58 -0000
@@ -18,6 +18,7 @@ include/X11/${QTVER}/Qsci/qscilexercss.h
 include/X11/${QTVER}/Qsci/qscilexercustom.h
 include/X11/${QTVER}/Qsci/qscilexerd.h
 include/X11/${QTVER}/Qsci/qscilexerdiff.h
+include/X11/${QTVER}/Qsci/qscilexeredifact.h
 include/X11/${QTVER}/Qsci/qscilexerfortran.h
 include/X11/${QTVER}/Qsci/qscilexerfortran77.h
 include/X11/${QTVER}/Qsci/qscilexerhtml.h
@@ -67,6 +68,8 @@ lib/${QTVER}/qsci/api/python/Python-3.3.
 lib/${QTVER}/qsci/api/python/Python-3.4.api
 lib/${QTVER}/qsci/api/python/Python-3.5.api
 lib/${QTVER}/qsci/api/python/Python-3.6.api
+lib/${QTVER}/qsci/api/python/Python-3.7.api
+lib/${QTVER}/translations/
 lib/${QTVER}/translations/qscintilla_cs.qm
 lib/${QTVER}/translations/qscintilla_de.qm
 lib/${QTVER}/translations/qscintilla_es.qm

Reply | Threaded
Open this post in threaded view
|

Re: UPDATE: editors/{,py-}qscintilla 2.11.1

Landry Breuil-5
On Fri, May 31, 2019 at 07:56:02PM +0200, Caspar Schutijser wrote:
> Hi ports@,
>
> Below is a diff that updates editors/{,py-}qscintilla to 2.11.1. I have
> identified a number of ports that depend on {,py-}qscintilla. I
> build-tested all of them and I run-tested some of them.

Fwiw if you go down that road, might aswell have a look at pyqt5 and
py-sip, it's best to usually update all the things coming from this
upstream altogether - we're badly lagging behind on py-qt5, but it might
not be an easy task at all :)

Landry

Reply | Threaded
Open this post in threaded view
|

Re: UPDATE: editors/{,py-}qscintilla 2.11.1

Landry Breuil-5
On Fri, May 31, 2019 at 08:08:34PM +0200, Landry Breuil wrote:

> On Fri, May 31, 2019 at 07:56:02PM +0200, Caspar Schutijser wrote:
> > Hi ports@,
> >
> > Below is a diff that updates editors/{,py-}qscintilla to 2.11.1. I have
> > identified a number of ports that depend on {,py-}qscintilla. I
> > build-tested all of them and I run-tested some of them.
>
> Fwiw if you go down that road, might aswell have a look at pyqt5 and
> py-sip, it's best to usually update all the things coming from this
> upstream altogether - we're badly lagging behind on py-qt5, but it might
> not be an easy task at all :)

Bah, spoke too fast, we have pyqt 5.9 because qt 5.9. Still py-sip is
lagging behind a bit :)

Landry

Reply | Threaded
Open this post in threaded view
|

WIP attempt at updating devel/py-sip

Caspar Schutijser
Hi,

Thanks for your response.

On Fri, May 31, 2019 at 08:10:03PM +0200, Landry Breuil wrote:
> On Fri, May 31, 2019 at 08:08:34PM +0200, Landry Breuil wrote:
> > Fwiw if you go down that road, might aswell have a look at pyqt5 and
> > py-sip, it's best to usually update all the things coming from this
> > upstream altogether - we're badly lagging behind on py-qt5, but it might
> > not be an easy task at all :)
>=20
> Bah, spoke too fast, we have pyqt 5.9 because qt 5.9. Still py-sip is
> lagging behind a bit :)

I took a quick look at updating devel/py-sip. Most dependencies build
with this new version of py-sip, except for x11/kde4/py-kde. Applying
the following patch, found on the KDE/4.14 branch of upstream's git
repository, does not fix the problems.
https://cgit.kde.org/pykde4.git/commit/?h=3DKDE/4.14&id=3D2d1eadf5d0148c88c=
b4393993f0269e196cbe7b1

Probably, I won't have time any time soon to look into this. So at least
for now, it ends here.

Below you can find the list of ports that I tried to build, the
errors that I ran into when building x11/kde4/py-kde and my current diff
for devel/py-sip.

Best regards,
Caspar Schutijser

------

List of ports that I tried to build. As mentioned above, they all
build successfully, except for x11/kde4/py-kde. games/mnemosyne is
marked as BROKEN so didn't attempt to build that port.
(Is there an easier way to just list all ports that in some way depend
on devel/py-sip?)

sqlite3 /usr/local/share/sqlports <<EOF
select distinct fullpkgpath from depends where
dependspath like "%devel/py-sip%"
or dependspath like "%editors/py-qscintilla%"
or dependspath like "%editors/qscintilla%"
or dependspath like "%x11/py-qt4%"
or dependspath like "%x11/py-qt5%"
order by fullpkgpath
EOF

audio/picard
audio/puddletag
benchmarks/netperf-wrapper,-gui
cad/openscad
comms/gnuradio
databases/luma
databases/sqlitebrowser
databases/sqliteman
devel/git-cola
devel/spyder/spyder
devel/spyder/spyder,python3
devel/tortoisehg
editors/py-qscintilla
editors/py-qscintilla,qt5
education/anki
emulators/fs-uae-launcher
emulators/gns3
games/mnemosyne
geo/qgis
math/octave
math/veusz
net/onionshare
net/onionshare,-gui
net/onionshare,-main
print/hplip,-gui
shells/py-qtconsole
shells/py-qtconsole,python3
textproc/calibre
www/linkchecker,-x11
www/qutebrowser
www/weboob
x11/kde-applications/kajongg
x11/kde-applications/kajongg,python3
x11/kde4/py-kde
x11/kde4/qyoto
x11/kde4/smokeqt
x11/nagstamon
x11/py-qt4
x11/py-qt4,-docs
x11/py-qt4,-main
x11/py-qt5
x11/py-qt5,python3
x11/py-qtpy
x11/py-qtpy,python3

------

Attempt at building x11/kde4/py-kde:

$ make
=3D=3D=3D>  Building for py-kde-4.14.3p1
[1/169] cd /home/ports/pobj/py-kde-4.14.3/build-amd64 && /usr/local/bin/cma=
ke -E echo && touch /home/ports/pobj/py-kde-4.14.3/build-amd64/sip/kutils/s=
ipkutilspart0.cpp /home/ports/pobj/py-kde-4.14.3/build-amd64/sip/kutils/sip=
kutilspart1.cpp /home/ports/pobj/py-kde-4.14.3/build-amd64/sip/kutils/sipku=
tilspart2.cpp /home/ports/pobj/py-kde-4.14.3/build-amd64/sip/kutils/sipkuti=
lspart3.cpp /home/ports/pobj/py-kde-4.14.3/build-amd64/sip/kutils/sipkutils=
part4.cpp /home/ports/pobj/py-kde-4.14.3/build-amd64/sip/kutils/sipkutilspa=
rt5.cpp /home/ports/pobj/py-kde-4.14.3/build-amd64/sip/kutils/sipkutilspart=
6.cpp /home/ports/pobj/py-kde-4.14.3/build-amd64/sip/kutils/sipkutilspart7.=
cpp && /usr/local/bin/sip -t ALL -t WS_X11 -t Qt_4_8_6 -x VendorID -x PyQt_=
NoPrintRangeBug -P -g -x PyKDE_QVector -x Py_v3 -x PyKDE_GLuint -j 8 -c /ho=
me/ports/pobj/py-kde-4.14.3/build-amd64/sip/kutils -I /home/ports/pobj/py-k=
de-4.14.3/build-amd64 -I /usr/local/share/sip -I /usr/ports/pobj/py-kde-4.1=
4.3/pykde4-4.14.3/sip /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/kutil=
s/kutilsmod.sip
FAILED: sip/kutils/sipkutilspart0.cpp sip/kutils/sipkutilspart1.cpp sip/kut=
ils/sipkutilspart2.cpp sip/kutils/sipkutilspart3.cpp sip/kutils/sipkutilspa=
rt4.cpp sip/kutils/sipkutilspart5.cpp sip/kutils/sipkutilspart6.cpp sip/kut=
ils/sipkutilspart7.cpp=20
cd /home/ports/pobj/py-kde-4.14.3/build-amd64 && /usr/local/bin/cmake -E ec=
ho && touch /home/ports/pobj/py-kde-4.14.3/build-amd64/sip/kutils/sipkutils=
part0.cpp /home/ports/pobj/py-kde-4.14.3/build-amd64/sip/kutils/sipkutilspa=
rt1.cpp /home/ports/pobj/py-kde-4.14.3/build-amd64/sip/kutils/sipkutilspart=
2.cpp /home/ports/pobj/py-kde-4.14.3/build-amd64/sip/kutils/sipkutilspart3.=
cpp /home/ports/pobj/py-kde-4.14.3/build-amd64/sip/kutils/sipkutilspart4.cp=
p /home/ports/pobj/py-kde-4.14.3/build-amd64/sip/kutils/sipkutilspart5.cpp =
/home/ports/pobj/py-kde-4.14.3/build-amd64/sip/kutils/sipkutilspart6.cpp /h=
ome/ports/pobj/py-kde-4.14.3/build-amd64/sip/kutils/sipkutilspart7.cpp && /=
usr/local/bin/sip -t ALL -t WS_X11 -t Qt_4_8_6 -x VendorID -x PyQt_NoPrintR=
angeBug -P -g -x PyKDE_QVector -x Py_v3 -x PyKDE_GLuint -j 8 -c /home/ports=
/pobj/py-kde-4.14.3/build-amd64/sip/kutils -I /home/ports/pobj/py-kde-4.14.=
3/build-amd64 -I /usr/local/share/sip -I /usr/ports/pobj/py-kde-4.14.3/pykd=
e4-4.14.3/sip /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/kutils/kutils=
mod.sip

sip: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/kdecore/typedefs.sip:2=
6: syntax error
ninja: build stopped: subcommand failed.
*** Error 1 in . (/usr/ports/devel/cmake/cmake.port.mk:39 'do-build': @cd /=
usr/ports/pobj/py-kde-4.14.3/build-amd64 && exec /usr/bin/env -i ...)
*** Error 1 in . (/usr/ports/infrastructure/mk/bsd.port.mk:2801 '/usr/ports=
/pobj/py-kde-4.14.3/build-amd64/.build_done')
*** Error 1 in /usr/ports/x11/kde4/py-kde (/usr/ports/infrastructure/mk/bsd=
=2Eport.mk:2471 'all')

/usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/kdecore/typedefs.sip
looks as follows:

    22  typedef uint mode_t;
    23 =20
    24  typedef long time_t;
    25 =20
    26  typedef ulong size_t;
    27 =20
    28  typedef int ssize_t;
    29 =20
    30  typedef int pid_t;

I quickly commented out line 26 in
/usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/kdecore/typedefs.sip to
see how far I would get, but that results in:

$ make
=3D=3D=3D>  Building for py-kde-4.14.3p1
[1/153] cd /home/ports/pobj/py-kde-4.14.3/build-amd64 && /usr/local/bin/cma=
ke -E echo && touch /home/ports/pobj/py-kde-4.14.3/build-amd64/sip/plasma/s=
ipplasmapart0.cpp /home/ports/pobj/py-kde-4.14.3/build-amd64/sip/plasma/sip=
plasmapart1.cpp /home/ports/pobj/py-kde-4.14.3/build-amd64/sip/plasma/sippl=
asmapart2.cpp /home/ports/pobj/py-kde-4.14.3/build-amd64/sip/plasma/sipplas=
mapart3.cpp /home/ports/pobj/py-kde-4.14.3/build-amd64/sip/plasma/sipplasma=
part4.cpp /home/ports/pobj/py-kde-4.14.3/build-amd64/sip/plasma/sipplasmapa=
rt5.cpp /home/ports/pobj/py-kde-4.14.3/build-amd64/sip/plasma/sipplasmapart=
6.cpp /home/ports/pobj/py-kde-4.14.3/build-amd64/sip/plasma/sipplasmapart7.=
cpp && /usr/local/bin/sip -t ALL -t WS_X11 -t Qt_4_8_6 -x VendorID -x PyQt_=
NoPrintRangeBug -P -g -x PyKDE_QVector -x Py_v3 -x PyKDE_GLuint -j 8 -c /ho=
me/ports/pobj/py-kde-4.14.3/build-amd64/sip/plasma -I /home/ports/pobj/py-k=
de-4.14.3/build-amd64 -I /usr/local/share/sip -I /usr/ports/pobj/py-kde-4.1=
4.3/pykde4-4.14.3/sip /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/plasm=
a/plasmamod.sip
FAILED: sip/plasma/sipplasmapart0.cpp sip/plasma/sipplasmapart1.cpp sip/pla=
sma/sipplasmapart2.cpp sip/plasma/sipplasmapart3.cpp sip/plasma/sipplasmapa=
rt4.cpp sip/plasma/sipplasmapart5.cpp sip/plasma/sipplasmapart6.cpp sip/pla=
sma/sipplasmapart7.cpp=20
cd /home/ports/pobj/py-kde-4.14.3/build-amd64 && /usr/local/bin/cmake -E ec=
ho && touch /home/ports/pobj/py-kde-4.14.3/build-amd64/sip/plasma/sipplasma=
part0.cpp /home/ports/pobj/py-kde-4.14.3/build-amd64/sip/plasma/sipplasmapa=
rt1.cpp /home/ports/pobj/py-kde-4.14.3/build-amd64/sip/plasma/sipplasmapart=
2.cpp /home/ports/pobj/py-kde-4.14.3/build-amd64/sip/plasma/sipplasmapart3.=
cpp /home/ports/pobj/py-kde-4.14.3/build-amd64/sip/plasma/sipplasmapart4.cp=
p /home/ports/pobj/py-kde-4.14.3/build-amd64/sip/plasma/sipplasmapart5.cpp =
/home/ports/pobj/py-kde-4.14.3/build-amd64/sip/plasma/sipplasmapart6.cpp /h=
ome/ports/pobj/py-kde-4.14.3/build-amd64/sip/plasma/sipplasmapart7.cpp && /=
usr/local/bin/sip -t ALL -t WS_X11 -t Qt_4_8_6 -x VendorID -x PyQt_NoPrintR=
angeBug -P -g -x PyKDE_QVector -x Py_v3 -x PyKDE_GLuint -j 8 -c /home/ports=
/pobj/py-kde-4.14.3/build-amd64/sip/plasma -I /home/ports/pobj/py-kde-4.14.=
3/build-amd64 -I /usr/local/share/sip -I /usr/ports/pobj/py-kde-4.14.3/pykd=
e4-4.14.3/sip /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/plasma/plasma=
mod.sip

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kactioncollection.sip:72: SIP_SIGNAL is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kdialogbuttonbox.sip:32: SIP_RXOBJ_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kdialogbuttonbox.sip:32: SIP_SLOT_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kdialogbuttonbox.sip:33: SIP_RXOBJ_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kdialogbuttonbox.sip:33: SIP_SLOT_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:99: SIP_RXOBJ_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:99: SIP_SLOT_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:105: SIP_RXOBJ_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:105: SIP_SLOT_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:106: SIP_RXOBJ_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:106: SIP_SLOT_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:107: SIP_RXOBJ_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:107: SIP_SLOT_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:108: SIP_RXOBJ_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:108: SIP_SLOT_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:109: SIP_RXOBJ_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:109: SIP_SLOT_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:110: SIP_RXOBJ_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:110: SIP_SLOT_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:111: SIP_RXOBJ_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:111: SIP_SLOT_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:112: SIP_RXOBJ_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:112: SIP_SLOT_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:113: SIP_RXOBJ_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:113: SIP_SLOT_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:114: SIP_RXOBJ_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:114: SIP_SLOT_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:115: SIP_RXOBJ_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:115: SIP_SLOT_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:116: SIP_RXOBJ_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:116: SIP_SLOT_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:117: SIP_RXOBJ_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:117: SIP_SLOT_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:123: SIP_RXOBJ_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:123: SIP_SLOT_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:124: SIP_RXOBJ_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:124: SIP_SLOT_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:125: SIP_RXOBJ_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:125: SIP_SLOT_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:126: SIP_RXOBJ_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:126: SIP_SLOT_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:127: SIP_RXOBJ_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:127: SIP_SLOT_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:128: SIP_RXOBJ_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:128: SIP_SLOT_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:129: SIP_RXOBJ_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:129: SIP_SLOT_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:130: SIP_RXOBJ_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:130: SIP_SLOT_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:131: SIP_RXOBJ_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:131: SIP_SLOT_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:132: SIP_RXOBJ_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:132: SIP_SLOT_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:133: SIP_RXOBJ_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:133: SIP_SLOT_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:134: SIP_RXOBJ_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:134: SIP_SLOT_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:135: SIP_RXOBJ_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:135: SIP_SLOT_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:136: SIP_RXOBJ_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:136: SIP_SLOT_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:137: SIP_RXOBJ_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:137: SIP_SLOT_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:138: SIP_RXOBJ_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:138: SIP_SLOT_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:139: SIP_RXOBJ_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:139: SIP_SLOT_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:140: SIP_RXOBJ_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:140: SIP_SLOT_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:141: SIP_RXOBJ_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:141: SIP_SLOT_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:142: SIP_RXOBJ_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:142: SIP_SLOT_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:143: SIP_RXOBJ_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:143: SIP_SLOT_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:144: SIP_RXOBJ_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:144: SIP_SLOT_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:145: SIP_RXOBJ_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:145: SIP_SLOT_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:146: SIP_RXOBJ_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:146: SIP_SLOT_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:147: SIP_RXOBJ_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:147: SIP_SLOT_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:148: SIP_RXOBJ_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:148: SIP_SLOT_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:149: SIP_RXOBJ_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:149: SIP_SLOT_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:150: SIP_RXOBJ_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:150: SIP_SLOT_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:151: SIP_RXOBJ_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:151: SIP_SLOT_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:152: SIP_RXOBJ_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:152: SIP_SLOT_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:153: SIP_RXOBJ_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:153: SIP_SLOT_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:154: SIP_RXOBJ_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:154: SIP_SLOT_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:155: SIP_RXOBJ_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:155: SIP_SLOT_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:156: SIP_RXOBJ_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:156: SIP_SLOT_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:157: SIP_RXOBJ_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:157: SIP_SLOT_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:158: SIP_RXOBJ_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:158: SIP_SLOT_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:159: SIP_RXOBJ_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:159: SIP_SLOT_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:160: SIP_RXOBJ_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:160: SIP_SLOT_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:161: SIP_RXOBJ_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:161: SIP_SLOT_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:162: SIP_RXOBJ_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:162: SIP_SLOT_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:163: SIP_RXOBJ_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:163: SIP_SLOT_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:164: SIP_RXOBJ_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:164: SIP_SLOT_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:165: SIP_RXOBJ_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:165: SIP_SLOT_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:166: SIP_RXOBJ_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:166: SIP_SLOT_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:167: SIP_RXOBJ_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:167: SIP_SLOT_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:168: SIP_RXOBJ_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:168: SIP_SLOT_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:169: SIP_RXOBJ_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:169: SIP_SLOT_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:170: SIP_RXOBJ_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:170: SIP_SLOT_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:171: SIP_RXOBJ_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:171: SIP_SLOT_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:172: SIP_RXOBJ_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:172: SIP_SLOT_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kwindowsystem.sip:103: SIP_SIGNAL is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kxmlguibuilder.sip:41: Annotations should not be used in explicit C/C+=
+ signatures
sip: ::KFontChooser ctor argument 5 has an unsupported type for a Python si=
gnature - provide a valid type, %MethodCode and a C++ signature
ninja: build stopped: subcommand failed.
*** Error 1 in /home/ports/x11/kde4/py-kde (/usr/ports/devel/cmake/cmake.po=
rt.mk:39 'do-build': @cd /usr/ports/pobj/py-kde-4.14.3/build-amd6...)
*** Error 1 in . (/usr/ports/infrastructure/mk/bsd.port.mk:2801 '/usr/ports=
/pobj/py-kde-4.14.3/build-amd64/.build_done')
*** Error 1 in /usr/ports/x11/kde4/py-kde (/usr/ports/infrastructure/mk/bsd=
=2Eport.mk:2471 'all')

Looks like it will take some effort to get this port to build with newer
py-sip.

------

Diff for devel/py-sip:

Index: devel/py-sip/Makefile
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D
RCS file: /cvs/ports/devel/py-sip/Makefile,v
retrieving revision 1.42
diff -u -p -r1.42 Makefile
--- devel/py-sip/Makefile 28 Apr 2019 20:51:37 -0000 1.42
+++ devel/py-sip/Makefile 1 Jun 2019 09:05:39 -0000
@@ -5,9 +5,8 @@ COMMENT=3D automatically generate Python b
 # XXX Be particularly careful when testing updates.
 #     API breaks often.
=20
-DISTNAME=3D sip-4.19.3
+DISTNAME=3D sip-4.19.17
 PKGNAME=3D py-${DISTNAME}
-REVISION =3D 4
 CATEGORIES=3D devel
=20
 HOMEPAGE=3D http://www.riverbankcomputing.co.uk/software/sip/intro
@@ -19,7 +18,7 @@ WANTLIB=3D m c ${COMPILER_LIBCXX}
=20
 COMPILER =3D base-clang ports-gcc base-gcc
=20
-MASTER_SITES=3D ${MASTER_SITE_SOURCEFORGE:=3Dpyqt/}
+MASTER_SITES=3D https://www.riverbankcomputing.com/static/Downloads/sip/4.=
19.17/
=20
 MODULES=3D lang/python
=20
Index: devel/py-sip/distinfo
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D
RCS file: /cvs/ports/devel/py-sip/distinfo,v
retrieving revision 1.16
diff -u -p -r1.16 distinfo
--- devel/py-sip/distinfo 17 Jul 2017 08:34:39 -0000 1.16
+++ devel/py-sip/distinfo 1 Jun 2019 09:05:39 -0000
@@ -1,2 +1,2 @@
-SHA256 (sip-4.19.3.tar.gz) =3D dA34RPgMxF3MmyMpSpJJKSO8QDzojmjDV4PyfBd8S3Q=
=3D
-SIZE (sip-4.19.3.tar.gz) =3D 1007481
+SHA256 (sip-4.19.17.tar.gz) =3D ErzY9NX+78EFvAddEsUJDueD9zgHKFY8kbi5XQ7EXf=
M=3D
+SIZE (sip-4.19.17.tar.gz) =3D 1056156
Index: devel/py-sip/pkg/PLIST
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D
RCS file: /cvs/ports/devel/py-sip/pkg/PLIST,v
retrieving revision 1.9
diff -u -p -r1.9 PLIST
--- devel/py-sip/pkg/PLIST 17 Jul 2017 08:34:39 -0000 1.9
+++ devel/py-sip/pkg/PLIST 1 Jun 2019 09:05:39 -0000
@@ -1,13 +1,17 @@
 @comment $OpenBSD: PLIST,v 1.9 2017/07/17 08:34:39 zhuk Exp $
 @bin bin/sip${MODPY_BIN_SUFFIX}
 include/python${MODPY_VERSION}${MODPY_LIB_SUFFIX}/sip.h
+lib/python${MODPY_VERSION}/site-packages/sip-4.19.17.dist-info/
+lib/python${MODPY_VERSION}/site-packages/sip-4.19.17.dist-info/INSTALLER
+lib/python${MODPY_VERSION}/site-packages/sip-4.19.17.dist-info/METADATA
+lib/python${MODPY_VERSION}/site-packages/sip-4.19.17.dist-info/RECORD
 lib/python${MODPY_VERSION}/site-packages/sip.pyi
 ${MODPY_COMMENT}lib/python${MODPY_VERSION}/site-packages/${MODPY_PYCACHE}/
-lib/python${MODPY_VERSION}/site-packages/${MODPY_PYCACHE}sipconfig.${MODPY=
_PYC_MAGIC_TAG}pyc
-lib/python${MODPY_VERSION}/site-packages/${MODPY_PYCACHE}sipdistutils.${MO=
DPY_PYC_MAGIC_TAG}pyc
 lib/python${MODPY_VERSION}/site-packages/sip.so
 lib/python${MODPY_VERSION}/site-packages/sipconfig.py
+lib/python${MODPY_VERSION}/site-packages/${MODPY_PYCACHE}sipconfig.${MODPY=
_PYC_MAGIC_TAG}pyc
 lib/python${MODPY_VERSION}/site-packages/sipdistutils.py
+lib/python${MODPY_VERSION}/site-packages/${MODPY_PYCACHE}sipdistutils.${MO=
DPY_PYC_MAGIC_TAG}pyc
 share/doc/${MODPY_PY_PREFIX}sip/
 share/doc/${MODPY_PY_PREFIX}sip/annotations.rst.txt
 share/doc/${MODPY_PY_PREFIX}sip/build_system.rst.txt

Reply | Threaded
Open this post in threaded view
|

Re: WIP attempt at updating devel/py-sip

Caspar Schutijser
(Sending the mail again, properly formatted this time.)

Hi,

Thanks for your response.

On Fri, May 31, 2019 at 08:10:03PM +0200, Landry Breuil wrote:
> On Fri, May 31, 2019 at 08:08:34PM +0200, Landry Breuil wrote:
> > Fwiw if you go down that road, might aswell have a look at pyqt5 and
> > py-sip, it's best to usually update all the things coming from this
> > upstream altogether - we're badly lagging behind on py-qt5, but it might
> > not be an easy task at all :)
>=20
> Bah, spoke too fast, we have pyqt 5.9 because qt 5.9. Still py-sip is
> lagging behind a bit :)

I took a quick look at updating devel/py-sip. Most dependencies build
with this new version of py-sip, except for x11/kde4/py-kde. Applying
the following patch, found on the KDE/4.14 branch of upstream's git
repository, does not fix the problems.
https://cgit.kde.org/pykde4.git/commit/?h=3DKDE/4.14&id=3D2d1eadf5d0148c88c=
b4393993f0269e196cbe7b1

Probably, I won't have time any time soon to look into this. So at least
for now, it ends here.

Below you can find the list of ports that I tried to build, the
errors that I ran into when building x11/kde4/py-kde and my current diff
for devel/py-sip.

Best regards,
Caspar Schutijser

------

List of ports that I tried to build. As mentioned above, they all
build successfully, except for x11/kde4/py-kde. games/mnemosyne is
marked as BROKEN so didn't attempt to build that port.
(Is there an easier way to just list all ports that in some way depend
on devel/py-sip?)

sqlite3 /usr/local/share/sqlports <<EOF
select distinct fullpkgpath from depends where
dependspath like "%devel/py-sip%"
or dependspath like "%editors/py-qscintilla%"
or dependspath like "%editors/qscintilla%"
or dependspath like "%x11/py-qt4%"
or dependspath like "%x11/py-qt5%"
order by fullpkgpath
EOF

audio/picard
audio/puddletag
benchmarks/netperf-wrapper,-gui
cad/openscad
comms/gnuradio
databases/luma
databases/sqlitebrowser
databases/sqliteman
devel/git-cola
devel/spyder/spyder
devel/spyder/spyder,python3
devel/tortoisehg
editors/py-qscintilla
editors/py-qscintilla,qt5
education/anki
emulators/fs-uae-launcher
emulators/gns3
games/mnemosyne
geo/qgis
math/octave
math/veusz
net/onionshare
net/onionshare,-gui
net/onionshare,-main
print/hplip,-gui
shells/py-qtconsole
shells/py-qtconsole,python3
textproc/calibre
www/linkchecker,-x11
www/qutebrowser
www/weboob
x11/kde-applications/kajongg
x11/kde-applications/kajongg,python3
x11/kde4/py-kde
x11/kde4/qyoto
x11/kde4/smokeqt
x11/nagstamon
x11/py-qt4
x11/py-qt4,-docs
x11/py-qt4,-main
x11/py-qt5
x11/py-qt5,python3
x11/py-qtpy
x11/py-qtpy,python3

------

Attempt at building x11/kde4/py-kde:

$ make
=3D=3D=3D>  Building for py-kde-4.14.3p1
[1/169] cd /home/ports/pobj/py-kde-4.14.3/build-amd64 && /usr/local/bin/cma=
ke -E echo && touch /home/ports/pobj/py-kde-4.14.3/build-amd64/sip/kutils/s=
ipkutilspart0.cpp /home/ports/pobj/py-kde-4.14.3/build-amd64/sip/kutils/sip=
kutilspart1.cpp /home/ports/pobj/py-kde-4.14.3/build-amd64/sip/kutils/sipku=
tilspart2.cpp /home/ports/pobj/py-kde-4.14.3/build-amd64/sip/kutils/sipkuti=
lspart3.cpp /home/ports/pobj/py-kde-4.14.3/build-amd64/sip/kutils/sipkutils=
part4.cpp /home/ports/pobj/py-kde-4.14.3/build-amd64/sip/kutils/sipkutilspa=
rt5.cpp /home/ports/pobj/py-kde-4.14.3/build-amd64/sip/kutils/sipkutilspart=
6.cpp /home/ports/pobj/py-kde-4.14.3/build-amd64/sip/kutils/sipkutilspart7.=
cpp && /usr/local/bin/sip -t ALL -t WS_X11 -t Qt_4_8_6 -x VendorID -x PyQt_=
NoPrintRangeBug -P -g -x PyKDE_QVector -x Py_v3 -x PyKDE_GLuint -j 8 -c /ho=
me/ports/pobj/py-kde-4.14.3/build-amd64/sip/kutils -I /home/ports/pobj/py-k=
de-4.14.3/build-amd64 -I /usr/local/share/sip -I /usr/ports/pobj/py-kde-4.1=
4.3/pykde4-4.14.3/sip /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/kutil=
s/kutilsmod.sip
FAILED: sip/kutils/sipkutilspart0.cpp sip/kutils/sipkutilspart1.cpp sip/kut=
ils/sipkutilspart2.cpp sip/kutils/sipkutilspart3.cpp sip/kutils/sipkutilspa=
rt4.cpp sip/kutils/sipkutilspart5.cpp sip/kutils/sipkutilspart6.cpp sip/kut=
ils/sipkutilspart7.cpp=20
cd /home/ports/pobj/py-kde-4.14.3/build-amd64 && /usr/local/bin/cmake -E ec=
ho && touch /home/ports/pobj/py-kde-4.14.3/build-amd64/sip/kutils/sipkutils=
part0.cpp /home/ports/pobj/py-kde-4.14.3/build-amd64/sip/kutils/sipkutilspa=
rt1.cpp /home/ports/pobj/py-kde-4.14.3/build-amd64/sip/kutils/sipkutilspart=
2.cpp /home/ports/pobj/py-kde-4.14.3/build-amd64/sip/kutils/sipkutilspart3.=
cpp /home/ports/pobj/py-kde-4.14.3/build-amd64/sip/kutils/sipkutilspart4.cp=
p /home/ports/pobj/py-kde-4.14.3/build-amd64/sip/kutils/sipkutilspart5.cpp =
/home/ports/pobj/py-kde-4.14.3/build-amd64/sip/kutils/sipkutilspart6.cpp /h=
ome/ports/pobj/py-kde-4.14.3/build-amd64/sip/kutils/sipkutilspart7.cpp && /=
usr/local/bin/sip -t ALL -t WS_X11 -t Qt_4_8_6 -x VendorID -x PyQt_NoPrintR=
angeBug -P -g -x PyKDE_QVector -x Py_v3 -x PyKDE_GLuint -j 8 -c /home/ports=
/pobj/py-kde-4.14.3/build-amd64/sip/kutils -I /home/ports/pobj/py-kde-4.14.=
3/build-amd64 -I /usr/local/share/sip -I /usr/ports/pobj/py-kde-4.14.3/pykd=
e4-4.14.3/sip /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/kutils/kutils=
mod.sip

sip: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/kdecore/typedefs.sip:2=
6: syntax error
ninja: build stopped: subcommand failed.
*** Error 1 in . (/usr/ports/devel/cmake/cmake.port.mk:39 'do-build': @cd /=
usr/ports/pobj/py-kde-4.14.3/build-amd64 && exec /usr/bin/env -i ...)
*** Error 1 in . (/usr/ports/infrastructure/mk/bsd.port.mk:2801 '/usr/ports=
/pobj/py-kde-4.14.3/build-amd64/.build_done')
*** Error 1 in /usr/ports/x11/kde4/py-kde (/usr/ports/infrastructure/mk/bsd=
=2Eport.mk:2471 'all')

/usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/kdecore/typedefs.sip
looks as follows:

    22  typedef uint mode_t;
    23 =20
    24  typedef long time_t;
    25 =20
    26  typedef ulong size_t;
    27 =20
    28  typedef int ssize_t;
    29 =20
    30  typedef int pid_t;

I quickly commented out line 26 in
/usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/kdecore/typedefs.sip to
see how far I would get, but that results in:

$ make
=3D=3D=3D>  Building for py-kde-4.14.3p1
[1/153] cd /home/ports/pobj/py-kde-4.14.3/build-amd64 && /usr/local/bin/cma=
ke -E echo && touch /home/ports/pobj/py-kde-4.14.3/build-amd64/sip/plasma/s=
ipplasmapart0.cpp /home/ports/pobj/py-kde-4.14.3/build-amd64/sip/plasma/sip=
plasmapart1.cpp /home/ports/pobj/py-kde-4.14.3/build-amd64/sip/plasma/sippl=
asmapart2.cpp /home/ports/pobj/py-kde-4.14.3/build-amd64/sip/plasma/sipplas=
mapart3.cpp /home/ports/pobj/py-kde-4.14.3/build-amd64/sip/plasma/sipplasma=
part4.cpp /home/ports/pobj/py-kde-4.14.3/build-amd64/sip/plasma/sipplasmapa=
rt5.cpp /home/ports/pobj/py-kde-4.14.3/build-amd64/sip/plasma/sipplasmapart=
6.cpp /home/ports/pobj/py-kde-4.14.3/build-amd64/sip/plasma/sipplasmapart7.=
cpp && /usr/local/bin/sip -t ALL -t WS_X11 -t Qt_4_8_6 -x VendorID -x PyQt_=
NoPrintRangeBug -P -g -x PyKDE_QVector -x Py_v3 -x PyKDE_GLuint -j 8 -c /ho=
me/ports/pobj/py-kde-4.14.3/build-amd64/sip/plasma -I /home/ports/pobj/py-k=
de-4.14.3/build-amd64 -I /usr/local/share/sip -I /usr/ports/pobj/py-kde-4.1=
4.3/pykde4-4.14.3/sip /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/plasm=
a/plasmamod.sip
FAILED: sip/plasma/sipplasmapart0.cpp sip/plasma/sipplasmapart1.cpp sip/pla=
sma/sipplasmapart2.cpp sip/plasma/sipplasmapart3.cpp sip/plasma/sipplasmapa=
rt4.cpp sip/plasma/sipplasmapart5.cpp sip/plasma/sipplasmapart6.cpp sip/pla=
sma/sipplasmapart7.cpp=20
cd /home/ports/pobj/py-kde-4.14.3/build-amd64 && /usr/local/bin/cmake -E ec=
ho && touch /home/ports/pobj/py-kde-4.14.3/build-amd64/sip/plasma/sipplasma=
part0.cpp /home/ports/pobj/py-kde-4.14.3/build-amd64/sip/plasma/sipplasmapa=
rt1.cpp /home/ports/pobj/py-kde-4.14.3/build-amd64/sip/plasma/sipplasmapart=
2.cpp /home/ports/pobj/py-kde-4.14.3/build-amd64/sip/plasma/sipplasmapart3.=
cpp /home/ports/pobj/py-kde-4.14.3/build-amd64/sip/plasma/sipplasmapart4.cp=
p /home/ports/pobj/py-kde-4.14.3/build-amd64/sip/plasma/sipplasmapart5.cpp =
/home/ports/pobj/py-kde-4.14.3/build-amd64/sip/plasma/sipplasmapart6.cpp /h=
ome/ports/pobj/py-kde-4.14.3/build-amd64/sip/plasma/sipplasmapart7.cpp && /=
usr/local/bin/sip -t ALL -t WS_X11 -t Qt_4_8_6 -x VendorID -x PyQt_NoPrintR=
angeBug -P -g -x PyKDE_QVector -x Py_v3 -x PyKDE_GLuint -j 8 -c /home/ports=
/pobj/py-kde-4.14.3/build-amd64/sip/plasma -I /home/ports/pobj/py-kde-4.14.=
3/build-amd64 -I /usr/local/share/sip -I /usr/ports/pobj/py-kde-4.14.3/pykd=
e4-4.14.3/sip /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/plasma/plasma=
mod.sip

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kactioncollection.sip:72: SIP_SIGNAL is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kdialogbuttonbox.sip:32: SIP_RXOBJ_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kdialogbuttonbox.sip:32: SIP_SLOT_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kdialogbuttonbox.sip:33: SIP_RXOBJ_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kdialogbuttonbox.sip:33: SIP_SLOT_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:99: SIP_RXOBJ_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:99: SIP_SLOT_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:105: SIP_RXOBJ_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:105: SIP_SLOT_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:106: SIP_RXOBJ_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:106: SIP_SLOT_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:107: SIP_RXOBJ_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:107: SIP_SLOT_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:108: SIP_RXOBJ_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:108: SIP_SLOT_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:109: SIP_RXOBJ_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:109: SIP_SLOT_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:110: SIP_RXOBJ_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:110: SIP_SLOT_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:111: SIP_RXOBJ_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:111: SIP_SLOT_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:112: SIP_RXOBJ_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:112: SIP_SLOT_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:113: SIP_RXOBJ_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:113: SIP_SLOT_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:114: SIP_RXOBJ_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:114: SIP_SLOT_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:115: SIP_RXOBJ_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:115: SIP_SLOT_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:116: SIP_RXOBJ_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:116: SIP_SLOT_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:117: SIP_RXOBJ_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:117: SIP_SLOT_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:123: SIP_RXOBJ_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:123: SIP_SLOT_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:124: SIP_RXOBJ_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:124: SIP_SLOT_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:125: SIP_RXOBJ_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:125: SIP_SLOT_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:126: SIP_RXOBJ_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:126: SIP_SLOT_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:127: SIP_RXOBJ_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:127: SIP_SLOT_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:128: SIP_RXOBJ_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:128: SIP_SLOT_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:129: SIP_RXOBJ_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:129: SIP_SLOT_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:130: SIP_RXOBJ_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:130: SIP_SLOT_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:131: SIP_RXOBJ_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:131: SIP_SLOT_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:132: SIP_RXOBJ_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:132: SIP_SLOT_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:133: SIP_RXOBJ_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:133: SIP_SLOT_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:134: SIP_RXOBJ_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:134: SIP_SLOT_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:135: SIP_RXOBJ_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:135: SIP_SLOT_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:136: SIP_RXOBJ_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:136: SIP_SLOT_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:137: SIP_RXOBJ_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:137: SIP_SLOT_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:138: SIP_RXOBJ_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:138: SIP_SLOT_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:139: SIP_RXOBJ_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:139: SIP_SLOT_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:140: SIP_RXOBJ_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:140: SIP_SLOT_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:141: SIP_RXOBJ_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:141: SIP_SLOT_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:142: SIP_RXOBJ_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:142: SIP_SLOT_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:143: SIP_RXOBJ_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:143: SIP_SLOT_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:144: SIP_RXOBJ_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:144: SIP_SLOT_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:145: SIP_RXOBJ_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:145: SIP_SLOT_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:146: SIP_RXOBJ_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:146: SIP_SLOT_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:147: SIP_RXOBJ_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:147: SIP_SLOT_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:148: SIP_RXOBJ_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:148: SIP_SLOT_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:149: SIP_RXOBJ_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:149: SIP_SLOT_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:150: SIP_RXOBJ_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:150: SIP_SLOT_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:151: SIP_RXOBJ_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:151: SIP_SLOT_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:152: SIP_RXOBJ_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:152: SIP_SLOT_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:153: SIP_RXOBJ_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:153: SIP_SLOT_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:154: SIP_RXOBJ_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:154: SIP_SLOT_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:155: SIP_RXOBJ_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:155: SIP_SLOT_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:156: SIP_RXOBJ_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:156: SIP_SLOT_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:157: SIP_RXOBJ_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:157: SIP_SLOT_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:158: SIP_RXOBJ_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:158: SIP_SLOT_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:159: SIP_RXOBJ_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:159: SIP_SLOT_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:160: SIP_RXOBJ_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:160: SIP_SLOT_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:161: SIP_RXOBJ_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:161: SIP_SLOT_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:162: SIP_RXOBJ_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:162: SIP_SLOT_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:163: SIP_RXOBJ_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:163: SIP_SLOT_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:164: SIP_RXOBJ_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:164: SIP_SLOT_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:165: SIP_RXOBJ_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:165: SIP_SLOT_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:166: SIP_RXOBJ_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:166: SIP_SLOT_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:167: SIP_RXOBJ_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:167: SIP_SLOT_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:168: SIP_RXOBJ_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:168: SIP_SLOT_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:169: SIP_RXOBJ_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:169: SIP_SLOT_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:170: SIP_RXOBJ_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:170: SIP_SLOT_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:171: SIP_RXOBJ_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:171: SIP_SLOT_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:172: SIP_RXOBJ_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kstandardaction.sip:172: SIP_SLOT_CON is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kwindowsystem.sip:103: SIP_SIGNAL is deprecated

sip: Deprecation warning: /usr/ports/pobj/py-kde-4.14.3/pykde4-4.14.3/sip/k=
deui/kxmlguibuilder.sip:41: Annotations should not be used in explicit C/C+=
+ signatures
sip: ::KFontChooser ctor argument 5 has an unsupported type for a Python si=
gnature - provide a valid type, %MethodCode and a C++ signature
ninja: build stopped: subcommand failed.
*** Error 1 in /home/ports/x11/kde4/py-kde (/usr/ports/devel/cmake/cmake.po=
rt.mk:39 'do-build': @cd /usr/ports/pobj/py-kde-4.14.3/build-amd6...)
*** Error 1 in . (/usr/ports/infrastructure/mk/bsd.port.mk:2801 '/usr/ports=
/pobj/py-kde-4.14.3/build-amd64/.build_done')
*** Error 1 in /usr/ports/x11/kde4/py-kde (/usr/ports/infrastructure/mk/bsd=
=2Eport.mk:2471 'all')

Looks like it will take some effort to get this port to build with newer
py-sip.

------

Diff for devel/py-sip:

Index: devel/py-sip/Makefile
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D
RCS file: /cvs/ports/devel/py-sip/Makefile,v
retrieving revision 1.42
diff -u -p -r1.42 Makefile
--- devel/py-sip/Makefile 28 Apr 2019 20:51:37 -0000 1.42
+++ devel/py-sip/Makefile 1 Jun 2019 09:05:39 -0000
@@ -5,9 +5,8 @@ COMMENT=3D automatically generate Python b
 # XXX Be particularly careful when testing updates.
 #     API breaks often.
=20
-DISTNAME=3D sip-4.19.3
+DISTNAME=3D sip-4.19.17
 PKGNAME=3D py-${DISTNAME}
-REVISION =3D 4
 CATEGORIES=3D devel
=20
 HOMEPAGE=3D http://www.riverbankcomputing.co.uk/software/sip/intro
@@ -19,7 +18,7 @@ WANTLIB=3D m c ${COMPILER_LIBCXX}
=20
 COMPILER =3D base-clang ports-gcc base-gcc
=20
-MASTER_SITES=3D ${MASTER_SITE_SOURCEFORGE:=3Dpyqt/}
+MASTER_SITES=3D https://www.riverbankcomputing.com/static/Downloads/sip/4.=
19.17/
=20
 MODULES=3D lang/python
=20
Index: devel/py-sip/distinfo
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D
RCS file: /cvs/ports/devel/py-sip/distinfo,v
retrieving revision 1.16
diff -u -p -r1.16 distinfo
--- devel/py-sip/distinfo 17 Jul 2017 08:34:39 -0000 1.16
+++ devel/py-sip/distinfo 1 Jun 2019 09:05:39 -0000
@@ -1,2 +1,2 @@
-SHA256 (sip-4.19.3.tar.gz) =3D dA34RPgMxF3MmyMpSpJJKSO8QDzojmjDV4PyfBd8S3Q=
=3D
-SIZE (sip-4.19.3.tar.gz) =3D 1007481
+SHA256 (sip-4.19.17.tar.gz) =3D ErzY9NX+78EFvAddEsUJDueD9zgHKFY8kbi5XQ7EXf=
M=3D
+SIZE (sip-4.19.17.tar.gz) =3D 1056156
Index: devel/py-sip/pkg/PLIST
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D
RCS file: /cvs/ports/devel/py-sip/pkg/PLIST,v
retrieving revision 1.9
diff -u -p -r1.9 PLIST
--- devel/py-sip/pkg/PLIST 17 Jul 2017 08:34:39 -0000 1.9
+++ devel/py-sip/pkg/PLIST 1 Jun 2019 09:05:39 -0000
@@ -1,13 +1,17 @@
 @comment $OpenBSD: PLIST,v 1.9 2017/07/17 08:34:39 zhuk Exp $
 @bin bin/sip${MODPY_BIN_SUFFIX}
 include/python${MODPY_VERSION}${MODPY_LIB_SUFFIX}/sip.h
+lib/python${MODPY_VERSION}/site-packages/sip-4.19.17.dist-info/
+lib/python${MODPY_VERSION}/site-packages/sip-4.19.17.dist-info/INSTALLER
+lib/python${MODPY_VERSION}/site-packages/sip-4.19.17.dist-info/METADATA
+lib/python${MODPY_VERSION}/site-packages/sip-4.19.17.dist-info/RECORD
 lib/python${MODPY_VERSION}/site-packages/sip.pyi
 ${MODPY_COMMENT}lib/python${MODPY_VERSION}/site-packages/${MODPY_PYCACHE}/
-lib/python${MODPY_VERSION}/site-packages/${MODPY_PYCACHE}sipconfig.${MODPY=
_PYC_MAGIC_TAG}pyc
-lib/python${MODPY_VERSION}/site-packages/${MODPY_PYCACHE}sipdistutils.${MO=
DPY_PYC_MAGIC_TAG}pyc
 lib/python${MODPY_VERSION}/site-packages/sip.so
 lib/python${MODPY_VERSION}/site-packages/sipconfig.py
+lib/python${MODPY_VERSION}/site-packages/${MODPY_PYCACHE}sipconfig.${MODPY=
_PYC_MAGIC_TAG}pyc
 lib/python${MODPY_VERSION}/site-packages/sipdistutils.py
+lib/python${MODPY_VERSION}/site-packages/${MODPY_PYCACHE}sipdistutils.${MO=
DPY_PYC_MAGIC_TAG}pyc
 share/doc/${MODPY_PY_PREFIX}sip/
 share/doc/${MODPY_PY_PREFIX}sip/annotations.rst.txt
 share/doc/${MODPY_PY_PREFIX}sip/build_system.rst.txt

Reply | Threaded
Open this post in threaded view
|

Re: UPDATE: editors/{,py-}qscintilla 2.11.2

Caspar Schutijser
In reply to this post by Landry Breuil-5
Hi,

On Fri, May 31, 2019 at 08:10:03PM +0200, Landry Breuil wrote:
> Bah, spoke too fast, we have pyqt 5.9 because qt 5.9. Still py-sip is
> lagging behind a bit :)

landry@ recently updated the py-sip port (thank you!). So with that
out of the way, I hope we can look at updating editors/{,py-}qscintilla
again. In the meantime, a new version was released so I updated the
diff. I performed the same amount of testing as last time, to repeat:

I build-tested the following ports that depend on {,py-}qscintilla:
cad/openscad
databases/sqliteman
geo/qgis
x11/kde4/p5-qt
x11/kde4/qyoto
x11/kde4/ruby-qt
x11/kde4/smokeqt

In the case of the ports below, I did not only build-test them, I also
performed some run-time testing:
databases/sqlitebrowser
devel/tortoisehg
math/octave (very light testing)

Feedback is appreciated.

Thanks,
Caspar Schutijser


Index: qscintilla/Makefile
===================================================================
RCS file: /cvs/ports/editors/qscintilla/Makefile,v
retrieving revision 1.23
diff -u -p -r1.23 Makefile
--- qscintilla/Makefile 12 Jul 2019 20:46:06 -0000 1.23
+++ qscintilla/Makefile 21 Jul 2019 08:28:01 -0000
@@ -3,10 +3,9 @@
 COMMENT = Qt port of the Scintilla source code editor
 
 # XXX update py-qscintilla alongside this port (same distfile).
-VERSION = 2.10.1
+VERSION = 2.11.2
 DISTNAME = QScintilla_gpl-${VERSION}
 PKGNAME = qscintilla-${VERSION}
-REVISION = 0
 CATEGORIES = editors x11
 
 
@@ -15,7 +14,7 @@ HOMEPAGE = http://www.riverbankcomputing
 # GPLv2/GPLv3
 PERMIT_PACKAGE = Yes
 
-MASTER_SITES =  ${MASTER_SITE_SOURCEFORGE:=pyqt/}
+MASTER_SITES =  https://www.riverbankcomputing.com/static/Downloads/QScintilla/${VERSION}/
 
 WANTLIB = ${COMPILER_LIBCXX} m
 MODULES = devel/qmake
@@ -30,13 +29,13 @@ CXXFLAGS += -std=c++11
 FULLPKGNAME = qscintilla-qt5-${VERSION}
 QTVER = qt5
 MODULES += x11/qt5
-SHARED_LIBS = qscintilla2_qt5 0.0 #13.0
+SHARED_LIBS = qscintilla2_qt5 1.0 # 15.0
 
 WANTLIB += GL Qt5Core Qt5Gui Qt5PrintSupport Qt5Widgets
 .else
 QTVER = qt4
 MODULES += x11/qt4
-SHARED_LIBS = qscintilla2_qt4 0.0 #13.0
+SHARED_LIBS = qscintilla2_qt4 1.0 # 15.0
 
 WANTLIB += ICE QtGui SM X11 Xext Xi Xinerama Xrender fontconfig
 WANTLIB += freetype pthread
Index: qscintilla/distinfo
===================================================================
RCS file: /cvs/ports/editors/qscintilla/distinfo,v
retrieving revision 1.7
diff -u -p -r1.7 distinfo
--- qscintilla/distinfo 30 Oct 2017 13:49:31 -0000 1.7
+++ qscintilla/distinfo 21 Jul 2019 08:28:01 -0000
@@ -1,2 +1,2 @@
-SHA256 (QScintilla_gpl-2.10.1.tar.gz) = l/mKnZH5CNts43/sxtJB2VWziKHEhxc7YHJsupo9+mQ=
-SIZE (QScintilla_gpl-2.10.1.tar.gz) = 2663446
+SHA256 (QScintilla_gpl-2.11.2.tar.gz) = ApvcR2oGn9os6jzZN7oZzH+mFPuQV4yu+Y7XA7ZY9KE=
+SIZE (QScintilla_gpl-2.11.2.tar.gz) = 2986600
Index: qscintilla/patches/patch-Qt4Qt5_Qsci_qsciscintillabase_h
===================================================================
RCS file: qscintilla/patches/patch-Qt4Qt5_Qsci_qsciscintillabase_h
diff -N qscintilla/patches/patch-Qt4Qt5_Qsci_qsciscintillabase_h
--- /dev/null 1 Jan 1970 00:00:00 -0000
+++ qscintilla/patches/patch-Qt4Qt5_Qsci_qsciscintillabase_h 21 Jul 2019 08:28:01 -0000
@@ -0,0 +1,21 @@
+$OpenBSD$
+
+Index: Qt4Qt5/Qsci/qsciscintillabase.h
+--- Qt4Qt5/Qsci/qsciscintillabase.h.orig
++++ Qt4Qt5/Qsci/qsciscintillabase.h
+@@ -26,6 +26,7 @@
+ #include <QAbstractScrollArea>
+ #include <QByteArray>
+ #include <QPoint>
++#include <QUrl>
+ #include <QTimer>
+
+ #include <Qsci/qsciglobal.h>
+@@ -37,7 +38,6 @@ class QImage;
+ class QMimeData;
+ class QPainter;
+ class QPixmap;
+-class QUrl;
+ QT_END_NAMESPACE
+
+ class QsciScintillaQt;
Index: qscintilla/patches/patch-Qt4Qt5_qscintilla_pro
===================================================================
RCS file: /cvs/ports/editors/qscintilla/patches/patch-Qt4Qt5_qscintilla_pro,v
retrieving revision 1.4
diff -u -p -r1.4 patch-Qt4Qt5_qscintilla_pro
--- qscintilla/patches/patch-Qt4Qt5_qscintilla_pro 30 Oct 2017 13:49:31 -0000 1.4
+++ qscintilla/patches/patch-Qt4Qt5_qscintilla_pro 21 Jul 2019 08:28:01 -0000
@@ -2,7 +2,7 @@ $OpenBSD: patch-Qt4Qt5_qscintilla_pro,v
 Index: Qt4Qt5/qscintilla.pro
 --- Qt4Qt5/qscintilla.pro.orig
 +++ Qt4Qt5/qscintilla.pro
-@@ -66,7 +66,7 @@ unix:!macx {
+@@ -68,7 +68,7 @@ unix:!macx {
  # Scintilla namespace rather than pollute the global namespace.
  #DEFINES += SCI_NAMESPACE
 
Index: qscintilla/pkg/PLIST
===================================================================
RCS file: /cvs/ports/editors/qscintilla/pkg/PLIST,v
retrieving revision 1.6
diff -u -p -r1.6 PLIST
--- qscintilla/pkg/PLIST 30 Oct 2017 13:49:31 -0000 1.6
+++ qscintilla/pkg/PLIST 21 Jul 2019 08:28:01 -0000
@@ -18,6 +18,7 @@ include/X11/${QTVER}/Qsci/qscilexercss.h
 include/X11/${QTVER}/Qsci/qscilexercustom.h
 include/X11/${QTVER}/Qsci/qscilexerd.h
 include/X11/${QTVER}/Qsci/qscilexerdiff.h
+include/X11/${QTVER}/Qsci/qscilexeredifact.h
 include/X11/${QTVER}/Qsci/qscilexerfortran.h
 include/X11/${QTVER}/Qsci/qscilexerfortran77.h
 include/X11/${QTVER}/Qsci/qscilexerhtml.h
@@ -67,6 +68,8 @@ lib/${QTVER}/qsci/api/python/Python-3.3.
 lib/${QTVER}/qsci/api/python/Python-3.4.api
 lib/${QTVER}/qsci/api/python/Python-3.5.api
 lib/${QTVER}/qsci/api/python/Python-3.6.api
+lib/${QTVER}/qsci/api/python/Python-3.7.api
+lib/${QTVER}/qsci/api/python/Python-3.8.api
 lib/${QTVER}/translations/qscintilla_cs.qm
 lib/${QTVER}/translations/qscintilla_de.qm
 lib/${QTVER}/translations/qscintilla_es.qm
Index: py-qscintilla/Makefile
===================================================================
RCS file: /cvs/ports/editors/py-qscintilla/Makefile,v
retrieving revision 1.19
diff -u -p -r1.19 Makefile
--- py-qscintilla/Makefile 12 Jul 2019 20:46:06 -0000 1.19
+++ py-qscintilla/Makefile 21 Jul 2019 08:28:01 -0000
@@ -2,18 +2,17 @@
 
 COMMENT = Python binding for the Scintilla source code editor
 
-VERSION = 2.10.1
+VERSION = 2.11.2
 DISTNAME = QScintilla_gpl-${VERSION}
 PKGNAME = py-qscintilla-${VERSION}
 CATEGORIES = editors x11 devel
-REVISION = 3
 
 HOMEPAGE = http://www.riverbankcomputing.com/software/qscintilla/
 
 # GPLv2/GPLv3
 PERMIT_PACKAGE = Yes
 
-MASTER_SITES =  ${MASTER_SITE_SOURCEFORGE:=pyqt/}
+MASTER_SITES =  https://www.riverbankcomputing.com/static/Downloads/QScintilla/${VERSION}/
 
 MODULES = lang/python
 FLAVORS = qt5
Index: py-qscintilla/distinfo
===================================================================
RCS file: /cvs/ports/editors/py-qscintilla/distinfo,v
retrieving revision 1.5
diff -u -p -r1.5 distinfo
--- py-qscintilla/distinfo 30 Oct 2017 13:51:17 -0000 1.5
+++ py-qscintilla/distinfo 21 Jul 2019 08:28:01 -0000
@@ -1,2 +1,2 @@
-SHA256 (QScintilla_gpl-2.10.1.tar.gz) = l/mKnZH5CNts43/sxtJB2VWziKHEhxc7YHJsupo9+mQ=
-SIZE (QScintilla_gpl-2.10.1.tar.gz) = 2663446
+SHA256 (QScintilla_gpl-2.11.2.tar.gz) = ApvcR2oGn9os6jzZN7oZzH+mFPuQV4yu+Y7XA7ZY9KE=
+SIZE (QScintilla_gpl-2.11.2.tar.gz) = 2986600
Index: py-qscintilla/pkg/PLIST
===================================================================
RCS file: /cvs/ports/editors/py-qscintilla/pkg/PLIST,v
retrieving revision 1.5
diff -u -p -r1.5 PLIST
--- py-qscintilla/pkg/PLIST 20 May 2018 08:30:21 -0000 1.5
+++ py-qscintilla/pkg/PLIST 21 Jul 2019 08:28:01 -0000
@@ -1,6 +1,10 @@
 @comment $OpenBSD: PLIST,v 1.5 2018/05/20 08:30:21 espie Exp $
 lib/python${MODPY_VERSION}/site-packages/${PYQTVER}/Qsci.pyi
 lib/python${MODPY_VERSION}/site-packages/${PYQTVER}/Qsci.so
+lib/python${MODPY_VERSION}/site-packages/QScintilla-2.11.2.dist-info/
+lib/python${MODPY_VERSION}/site-packages/QScintilla-2.11.2.dist-info/INSTALLER
+lib/python${MODPY_VERSION}/site-packages/QScintilla-2.11.2.dist-info/METADATA
+lib/python${MODPY_VERSION}/site-packages/QScintilla-2.11.2.dist-info/RECORD
 lib/${QTVER}/qsci/api/python/QScintilla2.api
 ${SIPDIR}/Qsci/
 ${SIPDIR}/Qsci/qsciabstractapis.sip
@@ -20,6 +24,7 @@ ${SIPDIR}/Qsci/qscilexercss.sip
 ${SIPDIR}/Qsci/qscilexercustom.sip
 ${SIPDIR}/Qsci/qscilexerd.sip
 ${SIPDIR}/Qsci/qscilexerdiff.sip
+${SIPDIR}/Qsci/qscilexeredifact.sip
 ${SIPDIR}/Qsci/qscilexerfortran.sip
 ${SIPDIR}/Qsci/qscilexerfortran77.sip
 ${SIPDIR}/Qsci/qscilexerhtml.sip

Reply | Threaded
Open this post in threaded view
|

Re: UPDATE: editors/{,py-}qscintilla 2.11.2

Landry Breuil-5
On Sun, Jul 21, 2019 at 01:36:15PM +0200, Caspar Schutijser wrote:

> Hi,
>
> On Fri, May 31, 2019 at 08:10:03PM +0200, Landry Breuil wrote:
> > Bah, spoke too fast, we have pyqt 5.9 because qt 5.9. Still py-sip is
> > lagging behind a bit :)
>
> landry@ recently updated the py-sip port (thank you!). So with that
> out of the way, I hope we can look at updating editors/{,py-}qscintilla
> again. In the meantime, a new version was released so I updated the
> diff. I performed the same amount of testing as last time, to repeat:
>
> I build-tested the following ports that depend on {,py-}qscintilla:
> cad/openscad
> databases/sqliteman
> geo/qgis

will test qgis at runtime with this update, thanks !

Reply | Threaded
Open this post in threaded view
|

Re: UPDATE: editors/{,py-}qscintilla 2.11.2

Landry Breuil-5
In reply to this post by Caspar Schutijser
On Sun, Jul 21, 2019 at 01:36:15PM +0200, Caspar Schutijser wrote:

> Hi,
>
> On Fri, May 31, 2019 at 08:10:03PM +0200, Landry Breuil wrote:
> > Bah, spoke too fast, we have pyqt 5.9 because qt 5.9. Still py-sip is
> > lagging behind a bit :)
>
> landry@ recently updated the py-sip port (thank you!). So with that
> out of the way, I hope we can look at updating editors/{,py-}qscintilla
> again. In the meantime, a new version was released so I updated the
> diff. I performed the same amount of testing as last time, to repeat:
>
> I build-tested the following ports that depend on {,py-}qscintilla:
> cad/openscad
> databases/sqliteman
> geo/qgis
> x11/kde4/p5-qt
> x11/kde4/qyoto
> x11/kde4/ruby-qt
> x11/kde4/smokeqt
>
> In the case of the ports below, I did not only build-test them, I also
> performed some run-time testing:
> databases/sqlitebrowser
> devel/tortoisehg
> math/octave (very light testing)
>
> Feedback is appreciated.

On the diff itself, dependency between py- and the lib should be
enforced, otherwise you get this:

Error: QScintilla 2.10.1 is being used but the Python bindings 2.11.2
are being built. Please use matching versions.

LIB_DEPENDS = editors/qscintilla,qt5>=2.11.2 (and its equivalent for the
default FLAVOR, and maybe even = and not >= ) in py-qscintilla Makefile
does the trick.

Landry

Reply | Threaded
Open this post in threaded view
|

Re: UPDATE: editors/{,py-}qscintilla 2.11.2

Caspar Schutijser
On Sun, Jul 21, 2019 at 02:02:00PM +0200, Landry Breuil wrote:

> On the diff itself, dependency between py- and the lib should be
> enforced, otherwise you get this:
>
> Error: QScintilla 2.10.1 is being used but the Python bindings 2.11.2
> are being built. Please use matching versions.
>
> LIB_DEPENDS = editors/qscintilla,qt5>=2.11.2 (and its equivalent for the
> default FLAVOR, and maybe even = and not >= ) in py-qscintilla Makefile
> does the trick.
>
> Landry

That's a very good point indeed, thank you. Below is a diff that
addresses your feedback. I choose to depend on
editors/qscintilla,qt5=${VERSION} so those lines doesn't have to be
adjusted with every update.

Thanks,
Caspar Schutijser


Index: qscintilla/Makefile
===================================================================
RCS file: /cvs/ports/editors/qscintilla/Makefile,v
retrieving revision 1.23
diff -u -p -r1.23 Makefile
--- qscintilla/Makefile 12 Jul 2019 20:46:06 -0000 1.23
+++ qscintilla/Makefile 21 Jul 2019 13:10:54 -0000
@@ -3,10 +3,9 @@
 COMMENT = Qt port of the Scintilla source code editor
 
 # XXX update py-qscintilla alongside this port (same distfile).
-VERSION = 2.10.1
+VERSION = 2.11.2
 DISTNAME = QScintilla_gpl-${VERSION}
 PKGNAME = qscintilla-${VERSION}
-REVISION = 0
 CATEGORIES = editors x11
 
 
@@ -15,7 +14,7 @@ HOMEPAGE = http://www.riverbankcomputing
 # GPLv2/GPLv3
 PERMIT_PACKAGE = Yes
 
-MASTER_SITES =  ${MASTER_SITE_SOURCEFORGE:=pyqt/}
+MASTER_SITES =  https://www.riverbankcomputing.com/static/Downloads/QScintilla/${VERSION}/
 
 WANTLIB = ${COMPILER_LIBCXX} m
 MODULES = devel/qmake
@@ -30,13 +29,13 @@ CXXFLAGS += -std=c++11
 FULLPKGNAME = qscintilla-qt5-${VERSION}
 QTVER = qt5
 MODULES += x11/qt5
-SHARED_LIBS = qscintilla2_qt5 0.0 #13.0
+SHARED_LIBS = qscintilla2_qt5 1.0 # 15.0
 
 WANTLIB += GL Qt5Core Qt5Gui Qt5PrintSupport Qt5Widgets
 .else
 QTVER = qt4
 MODULES += x11/qt4
-SHARED_LIBS = qscintilla2_qt4 0.0 #13.0
+SHARED_LIBS = qscintilla2_qt4 1.0 # 15.0
 
 WANTLIB += ICE QtGui SM X11 Xext Xi Xinerama Xrender fontconfig
 WANTLIB += freetype pthread
Index: qscintilla/distinfo
===================================================================
RCS file: /cvs/ports/editors/qscintilla/distinfo,v
retrieving revision 1.7
diff -u -p -r1.7 distinfo
--- qscintilla/distinfo 30 Oct 2017 13:49:31 -0000 1.7
+++ qscintilla/distinfo 21 Jul 2019 13:10:54 -0000
@@ -1,2 +1,2 @@
-SHA256 (QScintilla_gpl-2.10.1.tar.gz) = l/mKnZH5CNts43/sxtJB2VWziKHEhxc7YHJsupo9+mQ=
-SIZE (QScintilla_gpl-2.10.1.tar.gz) = 2663446
+SHA256 (QScintilla_gpl-2.11.2.tar.gz) = ApvcR2oGn9os6jzZN7oZzH+mFPuQV4yu+Y7XA7ZY9KE=
+SIZE (QScintilla_gpl-2.11.2.tar.gz) = 2986600
Index: qscintilla/patches/patch-Qt4Qt5_Qsci_qsciscintillabase_h
===================================================================
RCS file: qscintilla/patches/patch-Qt4Qt5_Qsci_qsciscintillabase_h
diff -N qscintilla/patches/patch-Qt4Qt5_Qsci_qsciscintillabase_h
--- /dev/null 1 Jan 1970 00:00:00 -0000
+++ qscintilla/patches/patch-Qt4Qt5_Qsci_qsciscintillabase_h 21 Jul 2019 13:10:54 -0000
@@ -0,0 +1,21 @@
+$OpenBSD$
+
+Index: Qt4Qt5/Qsci/qsciscintillabase.h
+--- Qt4Qt5/Qsci/qsciscintillabase.h.orig
++++ Qt4Qt5/Qsci/qsciscintillabase.h
+@@ -26,6 +26,7 @@
+ #include <QAbstractScrollArea>
+ #include <QByteArray>
+ #include <QPoint>
++#include <QUrl>
+ #include <QTimer>
+
+ #include <Qsci/qsciglobal.h>
+@@ -37,7 +38,6 @@ class QImage;
+ class QMimeData;
+ class QPainter;
+ class QPixmap;
+-class QUrl;
+ QT_END_NAMESPACE
+
+ class QsciScintillaQt;
Index: qscintilla/patches/patch-Qt4Qt5_qscintilla_pro
===================================================================
RCS file: /cvs/ports/editors/qscintilla/patches/patch-Qt4Qt5_qscintilla_pro,v
retrieving revision 1.4
diff -u -p -r1.4 patch-Qt4Qt5_qscintilla_pro
--- qscintilla/patches/patch-Qt4Qt5_qscintilla_pro 30 Oct 2017 13:49:31 -0000 1.4
+++ qscintilla/patches/patch-Qt4Qt5_qscintilla_pro 21 Jul 2019 13:10:54 -0000
@@ -2,7 +2,7 @@ $OpenBSD: patch-Qt4Qt5_qscintilla_pro,v
 Index: Qt4Qt5/qscintilla.pro
 --- Qt4Qt5/qscintilla.pro.orig
 +++ Qt4Qt5/qscintilla.pro
-@@ -66,7 +66,7 @@ unix:!macx {
+@@ -68,7 +68,7 @@ unix:!macx {
  # Scintilla namespace rather than pollute the global namespace.
  #DEFINES += SCI_NAMESPACE
 
Index: qscintilla/pkg/PLIST
===================================================================
RCS file: /cvs/ports/editors/qscintilla/pkg/PLIST,v
retrieving revision 1.6
diff -u -p -r1.6 PLIST
--- qscintilla/pkg/PLIST 30 Oct 2017 13:49:31 -0000 1.6
+++ qscintilla/pkg/PLIST 21 Jul 2019 13:10:54 -0000
@@ -18,6 +18,7 @@ include/X11/${QTVER}/Qsci/qscilexercss.h
 include/X11/${QTVER}/Qsci/qscilexercustom.h
 include/X11/${QTVER}/Qsci/qscilexerd.h
 include/X11/${QTVER}/Qsci/qscilexerdiff.h
+include/X11/${QTVER}/Qsci/qscilexeredifact.h
 include/X11/${QTVER}/Qsci/qscilexerfortran.h
 include/X11/${QTVER}/Qsci/qscilexerfortran77.h
 include/X11/${QTVER}/Qsci/qscilexerhtml.h
@@ -67,6 +68,8 @@ lib/${QTVER}/qsci/api/python/Python-3.3.
 lib/${QTVER}/qsci/api/python/Python-3.4.api
 lib/${QTVER}/qsci/api/python/Python-3.5.api
 lib/${QTVER}/qsci/api/python/Python-3.6.api
+lib/${QTVER}/qsci/api/python/Python-3.7.api
+lib/${QTVER}/qsci/api/python/Python-3.8.api
 lib/${QTVER}/translations/qscintilla_cs.qm
 lib/${QTVER}/translations/qscintilla_de.qm
 lib/${QTVER}/translations/qscintilla_es.qm
Index: py-qscintilla/Makefile
===================================================================
RCS file: /cvs/ports/editors/py-qscintilla/Makefile,v
retrieving revision 1.19
diff -u -p -r1.19 Makefile
--- py-qscintilla/Makefile 12 Jul 2019 20:46:06 -0000 1.19
+++ py-qscintilla/Makefile 21 Jul 2019 13:10:54 -0000
@@ -2,18 +2,17 @@
 
 COMMENT = Python binding for the Scintilla source code editor
 
-VERSION = 2.10.1
+VERSION = 2.11.2
 DISTNAME = QScintilla_gpl-${VERSION}
 PKGNAME = py-qscintilla-${VERSION}
 CATEGORIES = editors x11 devel
-REVISION = 3
 
 HOMEPAGE = http://www.riverbankcomputing.com/software/qscintilla/
 
 # GPLv2/GPLv3
 PERMIT_PACKAGE = Yes
 
-MASTER_SITES =  ${MASTER_SITE_SOURCEFORGE:=pyqt/}
+MASTER_SITES =  https://www.riverbankcomputing.com/static/Downloads/QScintilla/${VERSION}/
 
 MODULES = lang/python
 FLAVORS = qt5
@@ -42,7 +41,7 @@ SIPDIR= share/sip/PyQt5-3
 MODPY_VERSION = ${MODPY_DEFAULT_VERSION_3}
 RUN_DEPENDS += x11/py-qt5${MODPY_FLAVOR}
 MODULES += x11/qt5
-LIB_DEPENDS = editors/qscintilla,qt5
+LIB_DEPENDS = editors/qscintilla,qt5=${VERSION}
 CONFIGURE_ARGS = --qmake=${LOCALBASE}/bin/qmake-qt5 \
  --sip=${LOCALBASE}/bin/sip-3
 WANTLIB += GL Qt5Core Qt5Gui Qt5PrintSupport Qt5Widgets qscintilla2_qt5
@@ -52,7 +51,7 @@ SIPDIR= share/sip
 PYQTVER = PyQt4
 RUN_DEPENDS += x11/py-qt4
 MODULES += x11/qt4
-LIB_DEPENDS = editors/qscintilla
+LIB_DEPENDS = editors/qscintilla=${VERSION}
 CONFIGURE_ARGS = --qmake=${LOCALBASE}/bin/qmake4 \
  --sip=${LOCALBASE}/bin/sip
 WANTLIB += ICE QtGui SM X11 Xext Xi Xinerama Xrender fontconfig
Index: py-qscintilla/distinfo
===================================================================
RCS file: /cvs/ports/editors/py-qscintilla/distinfo,v
retrieving revision 1.5
diff -u -p -r1.5 distinfo
--- py-qscintilla/distinfo 30 Oct 2017 13:51:17 -0000 1.5
+++ py-qscintilla/distinfo 21 Jul 2019 13:10:54 -0000
@@ -1,2 +1,2 @@
-SHA256 (QScintilla_gpl-2.10.1.tar.gz) = l/mKnZH5CNts43/sxtJB2VWziKHEhxc7YHJsupo9+mQ=
-SIZE (QScintilla_gpl-2.10.1.tar.gz) = 2663446
+SHA256 (QScintilla_gpl-2.11.2.tar.gz) = ApvcR2oGn9os6jzZN7oZzH+mFPuQV4yu+Y7XA7ZY9KE=
+SIZE (QScintilla_gpl-2.11.2.tar.gz) = 2986600
Index: py-qscintilla/pkg/PLIST
===================================================================
RCS file: /cvs/ports/editors/py-qscintilla/pkg/PLIST,v
retrieving revision 1.5
diff -u -p -r1.5 PLIST
--- py-qscintilla/pkg/PLIST 20 May 2018 08:30:21 -0000 1.5
+++ py-qscintilla/pkg/PLIST 21 Jul 2019 13:10:54 -0000
@@ -1,6 +1,10 @@
 @comment $OpenBSD: PLIST,v 1.5 2018/05/20 08:30:21 espie Exp $
 lib/python${MODPY_VERSION}/site-packages/${PYQTVER}/Qsci.pyi
 lib/python${MODPY_VERSION}/site-packages/${PYQTVER}/Qsci.so
+lib/python${MODPY_VERSION}/site-packages/QScintilla-2.11.2.dist-info/
+lib/python${MODPY_VERSION}/site-packages/QScintilla-2.11.2.dist-info/INSTALLER
+lib/python${MODPY_VERSION}/site-packages/QScintilla-2.11.2.dist-info/METADATA
+lib/python${MODPY_VERSION}/site-packages/QScintilla-2.11.2.dist-info/RECORD
 lib/${QTVER}/qsci/api/python/QScintilla2.api
 ${SIPDIR}/Qsci/
 ${SIPDIR}/Qsci/qsciabstractapis.sip
@@ -20,6 +24,7 @@ ${SIPDIR}/Qsci/qscilexercss.sip
 ${SIPDIR}/Qsci/qscilexercustom.sip
 ${SIPDIR}/Qsci/qscilexerd.sip
 ${SIPDIR}/Qsci/qscilexerdiff.sip
+${SIPDIR}/Qsci/qscilexeredifact.sip
 ${SIPDIR}/Qsci/qscilexerfortran.sip
 ${SIPDIR}/Qsci/qscilexerfortran77.sip
 ${SIPDIR}/Qsci/qscilexerhtml.sip

Reply | Threaded
Open this post in threaded view
|

Re: UPDATE: editors/{,py-}qscintilla 2.11.2

Landry Breuil-5
On Sun, Jul 21, 2019 at 03:17:33PM +0200, Caspar Schutijser wrote:

> On Sun, Jul 21, 2019 at 02:02:00PM +0200, Landry Breuil wrote:
> > On the diff itself, dependency between py- and the lib should be
> > enforced, otherwise you get this:
> >
> > Error: QScintilla 2.10.1 is being used but the Python bindings 2.11.2
> > are being built. Please use matching versions.
> >
> > LIB_DEPENDS = editors/qscintilla,qt5>=2.11.2 (and its equivalent for the
> > default FLAVOR, and maybe even = and not >= ) in py-qscintilla Makefile
> > does the trick.
> >
> > Landry
>
> That's a very good point indeed, thank you. Below is a diff that
> addresses your feedback. I choose to depend on
> editors/qscintilla,qt5=${VERSION} so those lines doesn't have to be
> adjusted with every update.

qgis 3.8 is happy at runtime with this update, so this update is ok for
me if anyone plans to commit it.

Landry